$schema: http://support.riverbed.com/apis/service_def/2.2
description: NPM APIs for IPSEC Module.
id: http://support.riverbed.com/apis/npm.ipsec_module/1.0
name: npm.ipsec_module
provider: riverbed
resources:
  ipsec_module:
    additionalProperties: false
    description: IPSEC Module configuration.
    links:
      get:
        description: Returns the IPSEC Module configuration.
        method: GET
        response:
          $ref: '#/resources/ipsec_module'
      self:
        path: $/ipsec_module
      set:
        description: Updates the IPSEC Module configuration.
        method: PUT
        request:
          $ref: '#/resources/ipsec_module'
        response:
          $ref: '#/resources/ipsec_module'
    properties:
      enabled:
        description: Enable/disable IPSEC Module.
        type: boolean
    required:
    - enabled
    type: object
title: NPM IPSEC Module APIs
version: '1.0'
